跳至内容
ShopentlyLearn

可用订单状态

获取商店中可用的状态。每个状态都有名称和 ID,可用于筛选订单或更改订单状态。

GET/api/v1/order-statuses

cURL 请求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/order-statuses?limit=20' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

响应

{
  "data": [
    {
      "created_at": "2026-01-01T12:00:00Z",
      "id": "status-0",
      "is_initial": true,
      "name": "New",
      "position": 0
    },
    {
      "created_at": "2026-01-01T12:00:00Z",
      "id": "status-1",
      "is_initial": false,
      "name": "Processing",
      "position": 1
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 20,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

所需权限

身份验证
访问令牌
最低套餐
BASIC
密钥权限
查看订单orders.order:read